"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDpPtCorrection = void 0;
let definedPixelRatio = 1;
let definedFontScale = 1;
const getDpPtCorrection = (pixelRatio, fontScale) => {
    definedPixelRatio = pixelRatio;
    definedFontScale = fontScale;
    return dpPtCorrection;
};
exports.getDpPtCorrection = getDpPtCorrection;
const dpPtCorrection = (value) => {
    const validResponsiveRegex = /^(\-?\d+(?:\.\d{1,3})?)@(dp|pt)$/;
    const PX_PT_RATIO = 1.328;
    let result = value;
    if (!validResponsiveRegex.test(value)) {
        return value;
    }
    const regexExecResult = validResponsiveRegex.exec(value);
    if (regexExecResult) {
        const size = parseFloat(regexExecResult[1]);
        const selector = regexExecResult[2];
        switch (selector) {
            case 'dp':
                result = size * definedPixelRatio;
                break;
            case 'pt':
                result = size * PX_PT_RATIO * definedFontScale;
                break;
        }
    }
    return result;
};
//# sourceMappingURL=dpPtCorrection.js.map